<style type="text/css">
	.all_options{
		border: 1px solid #EC8C3A;
		border-radius: 5px;
		margin: 10px 0;
	}

	ul.shipments{
		margin: 0px;
		max-height: 700px;
		overflow-y: auto;
		overflow-x: hidden;
	}

	.single-shipment {
		padding: 5px;
		margin-bottom: 5px;
		max-width: 100%;
		border: 1px solid #ccc;
	}

	.itemcheck{
		margin: 20px auto 0;
	}

	ul.shipments li {
		margin-bottom: 5px;
		border: 1px solid #ccc;
	}

	input.itemcheck {
		width: 20px;
		position: relative;
		left: 10px;
		vertical-align: middle;
	}

	label.shipmentdetails {
		width: 90%;
		position: relative;
		padding-top: 3px;
		left: 20px;
		display: inline-block;
		vertical-align: middle;
	}

	.cocode{
		font-weight: bold;
		text-transform: uppercase;
	}

	.shipment-details{
		text-align: right;
		text-transform: uppercase;
		font-size: 14px;
		color: #EC8C3A;
		font-weight: bold;
		vertical-align: middle;
		font-style: italic;
		width: 100%;
		position: relative;
		top: 10px;
		left: 20px;
		overflow: hidden;
	}

	.actionbox, .clientsmsg, .mymsg {
		background-color: #f3f3f3;
		border: 1px solid #ddd;
		padding: 15px 25px 25px;
		margin-left: 45px;
		min-height: 114px;
		padding-left: 40px;
		position:relative;
		margin-bottom: 15px;
	}

	.actionbox h5{
		margin:0;
	}

	h4 {
		font-size: 13pt;
		font-weight: bold;
		margin-bottom: 10px;
	}

	h4.title,.primary {
		color: #E86136;
	}
</style>
<div class="wm-step step-3">
	<form name="packagesFrm" novalidate>
		<small>* Indicates Required Field</small>

		<div ng-show="$parent.quickship.$storage.nextStepClicked" class="received-packages">
			<h2> Which packages would you like shipped?</h2>
			<section class="shipments-container">
				<ul class="shipments">
					<li style="background-color: #f3f3f3">
						<input type="checkbox"  ng-change="selectBulkTransaction()" ng-model="selectTransactionsAll" checked="checked" ng-value="1" id="selectTransactionsAll"  class="itemcheck">
						<label for="selectTransactionsAll" class="shipmentdetails">
							Select All
						</label>
					</li>
				</ul>
			</section>
			<section class="shipments-container">
				<ul class="shipments">
					<li  ng-repeat="(transaction_index, transaction) in $parent.quickship.$storage.received_transactions track by $index">
						<div class="row">
							<div class="col-md-12">
								<input type="checkbox" ng-change="selectTransaction(transaction, transaction_index)" ng-model="selectedTransaction"
									   ng-checked="transaction.Transaction.order_html" id="myid{{$index}}" class="itemcheck">
								<label for="myid{{$index}}" class="shipmentdetails">
									<div class="row">
										<div class="col-md-8">
											<div class="cocode">GP {{transaction.Shipment[0].Package.in_tracking ? '#' + $parent.quickship.$storage.received_packages[$index].transaction_id 
												+ $parent.quickship.$storage.received_packages[$index].in_tracking : transaction.Transaction.id.toString() | uppercase}}</div>
											<div class="receipt">Receipt Date  {{transaction.Transaction.date}}</div>
										</div>
										<div class="col-md-4">
											<a ng-click="showDetailsOfTransaction($event, transaction)" class="shipment-details" href="javascript:;">
												Details
											</a>
										</div>
									</div>
								</label>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<div style="padding: 5px; margin: 0 auto; width: 90%; background-color: #f3f3f3" class="consolidated-package shipmentdetails" ng-show="transaction.detailsShow">
									<div class="innersection">

										<!-- Start Packages -->
										<div  ng-repeat="shipment in transaction.Shipment track by $index">
											<div class="block hasPadding">
												<h2>Package {{$index + 1}}</h2>
												<div class="row">
													<div class="col-md-4">
														<h4>Tracking Number : <span>{{transaction.Shipment[$index].Package.in_tracking || 'Not Set' }}</span></h4>


													</div>
												</div>
												<div class="row">
													<div class="col-md-4">
														<h4>Receipt Date</h4>
														<span>{{ transaction.Shipment[$index].Package.created }}</span>
														<div class="block hasPadding">
															<h4>Carrier</h4>

															<span>
                                                {{ (transaction.Shipment[$index].Package.carrier  || 'Not set') }}
                                            </span>
														</div>
													</div>
													<div class="col-md-4">
														<h4>Gross Weight</h4>

														<span>
                                            {{ (transaction.Shipment[$index].Package.weight_kg ? transaction.Shipment[$index].Package.weight_kg : transaction.Shipment[$index].Package.weight_lb) }}
                                        </span>

														<span>
                                             {{ transaction.Shipment[$index].Package.weight_kg? 'kg' : 'lb' }}
                                        </span>

													</div>

													<div class="col-md-4">
														<h4>Gross Dimensions</h4>
														<label>Width</label>

														<span>
                            {{ (transaction.Shipment[$index].Package.width_in ? transaction.Shipment[$index].Package.width_in : transaction.Shipment[$index].Package.width_cm) }}
                        </span>
														<span>
                  {{ transaction.Shipment[$index].Package.width_in ? 'in': 'cm' }}
                </span>
														<div class="clearfix"></div>
														<label>Length</label>

														<span>
                            {{ (transaction.Shipment[$index].Package.length_in ? transaction.Shipment[$index].Package.length_in : selectedTransaction.Shipment[$index].Package.length_cm) }}
                        </span>
														<span>
                  {{ transaction.Shipment[$index].Package.length_in ? 'in' : 'cm' }}
                </span>
														<div class="clearfix"></div>
														<label>Height</label>
														<span>
                            {{ (transaction.Shipment[$index].Package.height_in ? transaction.Shipment[$index].Package.height_in : transaction.Shipment[$index].Package.height_cm) }}
                        </span>
														<span>
                  {{ transaction.Shipment[$index].Package.height_in ? 'in' : 'cm' }}
                </span>

													</div>


												</div>

											</div>
											<div class="row">
												<div class="col-md-8" ng-show="transaction.Photos.length">
													<div class="block hasPadding">
														<div>
															<h4 >Requested Photos</h4>
															<ul class="requested-photos">
																<li style="display: inline-block; max-width: 50%" ng-repeat="photo in transaction.Photos"><img style="max-width: 120px; max-height: 100px;" src="{{$window.Configure.base_url}}/{{photo.requested_photo_url}}"></li>
															</ul>
														</div>
													</div>
												</div>
											</div>

											<!-- End Items -->
										</div>
										<!-- End Packages -->
									</div>
								</div>
							</div>
						</div>
					</li>
				</ul>
			</section>

			<div class="row text-center hide">
				<div class="col col-md-12">

					<button type="button" class="btn btn-success go-to-slide-3" ng-click="goToPersonalInfo(personalFrm)">Next</button>
					<br><br>
				</div>
			</div>

		</div>

		<div ng-show="!$parent.quickship.$storage.nextStepClicked" class="group">
			<div class="row">
				<h2>Packages details</h2>
				<a href="javascript:;" class="link-top" onclick='window.open("/Pages/prohibited", "_blank", "width=800,height=600,titlebar=no,toolbar=no");'
				   title="Check prohibited itens">Check prohibited Item</a>

				<div class="col col-md-3" ng-show="$parent.quickship.$storage.simpleSteps !== true && $parent.quickship.$storage.read_only_packages !== true">
					<span>Please enter your package details here *</span><br><br>
					<small ng-show="$parent.quickship.$storage.quickship.consolidatePackages === true">Consolidated
						parcels (up to 5) must fit inside a box 24”x14”x12”, or you will be charged for an additional
						parcel.
					</small>
				</div>
				<div class="col col-md-3" ng-show="$parent.quickship.$storage.simpleSteps === true">
					<span>How many packages are being sent? *</span>
				</div>
				<div class="col-md-9">
					
					<div class="row">

                        <!--  Dimensions NOT known -->
						<div class="s3_boxPkgDetailSimple col-sm-6"
							 ng-show="$parent.quickship.$storage.simpleSteps === true">
							<magic-field>
								<label ng-show="showLabel"
									   class="show-hide">How many packages are being sent?</label>
								<input type="number" ng-model="$parent.quickship.$storage.quickship.amount"
									   ng-change="$parent.updateSimplePackages()"
									   ng-required="$parent.quickship.$storage.simpleSteps === true"
									   name="packages_simple" ng- maxlength="2"
									   class="form-control integer required"
									   ng-value="$parent.quickship.$storage.quickship.amount || 1"
									   placeholder="How many packages are being sent?">
							</magic-field>
                            <span class="msg-error"
								  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_simple.$error.required">required field.</span>




                            <div class="s3_boxPkgDetail"
                                 ng-repeat="(package_index, package) in $parent.quickship.$storage.quickship.packages track by $index">
                                <div class="box-item">
                                    <div class="row">
                                        <h3 class="hs-package-title">
                                            Package {{$index+1}}:
                                        </h3>                                        

                                    </div>
                                    <div class="row">&nbsp;</div>
                                    <div class="row">
                                        <div class="col col-md-6" style="margin-left:-10px;">
                                            <magic-field>
                                                <label ng-show="showLabel"
                                                       class="show-hide">Tracking code</label>
                                                <input type="text" placeholder="Tracking code" class="form-control" name="tracking_code_{{$parent.$index}}"
                                                       ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].tracking_code"
                                                       ng-readonly="$parent.quickship.$storage.read_only_packages === true"
                                                       ng-required="$parent.quickship.$storage.simpleSteps === true"
                                                       >
                                            </magic-field>
                                            <span class="msg-error"
                                                  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.tracking_code_{{$index}}.$error.required">required field</span>
                                        </div>
                                        <div class="col col-md-6">
                                            <magic-field>
                                                <label ng-show="showLabel"
                                                       class="show-hide">Carrier</label>
                                                <input type="text" name="packages_{{$parent.$index}}_carrier"
                                                       ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].carrier"
                                                       ng-readonly="$parent.quickship.$storage.read_only_packages === true"
                                                       class="form-control"
                                                       placeholder="Carrier">
                                            </magic-field>
                                        </div>
                                    </div>
                                   
                                   
                                </div>
                                <!-- /.box-item -->
                            </div>




						</div>

                        <!-- Dimensions Known -->
						<div class="box-aditional" ng-show="$parent.quickship.$storage.simpleSteps === false">
							<div class="s3_boxPkgDetail"
								 ng-repeat="(package_index, package) in $parent.quickship.$storage.quickship.packages track by $index">

								<div class="box-item">
									<div class="row">
										<h3 class="hs-package-title">Package {{$index+1}}</h3>
									</div>
									<div class="row hs-packages-dimensions">
										<div class="col col-form-field"
											 ng-class="{'col-md-2': !$parent.quickship.$storage.quickship.consolidatePackages || !$parent.quickship.hasConsolidatedPackages($index), 'col-md-4': $parent.quickship.hasConsolidatedPackages($index)}">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">{{$parent.getWeightTitle()}}</label>
												<input type="number"  name="package_{{$parent.$index}}_weight"
													   ng-readonly="($parent.quickship.$storage.read_only_packages === true) || ($parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length > 0)"
													   ng-required="$parent.quickship.$storage.simpleSteps === false"
													   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].weight"
													   class="s3_copyWeight form-control required"
													   placeholder="{{$parent.getWeightTitle()}}"
													   value="">
											</magic-field>
                                            <span class="msg-error"
												  ng-show="!hasValidWeight(packagesFrm, $index)">required field.</span>
											<span class="msg-error"
												  ng-show="{{$parent.quickship.$storage.quickship.packages[$parent.$index].weight < 1}}">min input 1.</span>
										</div>
										<div class="col col-form-field col-md-2">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">Weight Unit *</label>
												<select name="packages_{{$parent.$index}}_weight_unit"
														ng-required="$parent.quickship.$storage.simpleSteps === false"
														ng-disabled="($parent.quickship.$storage.read_only_packages === true) || ($parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length > 0)"
														ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].weight_unit"
														class="s3_copyUnit form-control required">
													<option value="lb" selected="selected">lb</option>
													<option value="kg">kg</option>
												</select>
											</magic-field>
                                            <span class="msg-error"
												  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_weight_unit.$error.required">required field.</span>
										</div>
                                        <div class="col col-form-field col-md-2"
                                             ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
                                            <magic-field>
                                                <label ng-show="showLabel"
                                                       class="show-hide">Length *</label>
                                                <input type="number"  name="packages_{{$parent.$index}}_length"
                                                       ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
                                                       ng-readonly="$parent.quickship.$storage.read_only_packages === true"
                                                       class="form-control required" placeholder="Length *" value=""
                                                       ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].length"
													   ng-blur="hasValidInput(packagesFrm, $index)">
                                            </magic-field>
                                            <span class="msg-error"
                                                  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_length.$error.required">required field.</span>
											<span class="msg-error"
												  ng-show="$parent.quickship.$storage.quickship.packages[$parent.$index].weight">min input 1.</span>
                                        </div>
										<div class="col col-form-field col-md-2"
											 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">Width *</label>
												<input type="number"  name="packages_{{$parent.$index}}_width"
													   ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
													   ng-readonly="$parent.quickship.$storage.read_only_packages === true"
                                                       class="form-control required" placeholder="Width *" value=""
													   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].width">
											</magic-field>
                                            <span class="msg-error"
												  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_width.$error.required">required field.</span>
										</div>
										<div class="col col-form-field col-md-2"
											 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">Height *</label>
												<input type="number"  name="packages_{{$parent.$index}}_height"
													   ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
													   ng-readonly="$parent.quickship.$storage.read_only_packages === true"
                                                       ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].height"
													   class="form-control required" placeholder="Height *" value="">
											</magic-field>
                                            <span class="msg-error"
												  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_height.$error.required">required field.</span>
										</div>
										
										<div class="col col-form-field col-md-2"
											 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.quickship.packages[$index].consolidated.length > 0">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">Size Unit *</label>
												<select name="packages_{{$parent.$index}}_size_unit"
														class="form-control required"
														ng-required="$parent.quickship.$storage.simpleSteps === false && $parent.quickship.$storage.quickship.packages[$parent.$index].consolidated.length < 1"
                                                        ng-disabled="$parent.quickship.$storage.read_only_packages === true"
														ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].size_unit"
														placeholder="Unit *">
													<option value="in">in</option>
													<option value="cm">cm</option>
												</select>
											</magic-field>
                                            <span class="msg-error"
												  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$index}}_size_unit.$error.required">required field.</span>
										</div>
									</div>
									<div class="row">
										<div class="col col-md-6" style="margin-left:-10px;"
											 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages === true">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">Tracking code</label>
												<input type="text" placeholder="Tracking code" class="form-control"
													   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].tracking_code"
                                                       ng-readonly="$parent.quickship.$storage.read_only_packages === true">
											</magic-field>
										</div>
										<div class="col col-md-6"
											 ng-hide="$parent.quickship.$storage.quickship.consolidatePackages === true">
											<magic-field>
												<label ng-show="showLabel"
													   class="show-hide">Carrier</label>
												<input type="text" name="packages_{{$parent.$index}}_carrier"
													   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].carrier"
                                                       ng-readonly="$parent.quickship.$storage.read_only_packages === true"
													   class="form-control"
													   placeholder="Carrier">
											</magic-field>
										</div>
									</div>

									<!-- Consolidated packages -->
									<div class="row consolidated-package"
										 ng-show="$parent.quickship.$storage.quickship.consolidatePackages === true">

										<div class="col-sm-12 consolidated-package-Item"
											 ng-repeat="(consolidated_index, consolidated_package) in $parent.quickship.$storage.quickship.packages[package_index].consolidated track by $index">

											<div class="row">
												<div class="col-sm-12">
													<h3>Consolidated Package <span>{{$index+1}}</span></h3>
												</div>
												<div class="clearfix">&nbsp;</div>
												<div class="col col-md-6">
													<input type="number" 
														   name="s2_adPackageWeight_{{$parent.$index}}_{{$index}}"
														   ng-required="$parent.quickship.$storage.quickship.consolidatePackages === true && $parent.quickship.$storage.simpleSteps === false"
														   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].weight"
														   class="s2_copyWeight form-control tmp-required"
														   ng-change="updateWeight($parent.$index)"
														   placeholder="Weight *">
                                                    <span class="msg-error"
														  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.s2_adPackageWeight_{{$parent.$index}}_{{$index}}.$error.required">required field.</span>
												</div>
												<div class="col col-md-6">
													<select name="s2_adPackageUnit_{{$parent.$index}}_{{$index}}"
															ng-required="$parent.quickship.$storage.quickship.consolidatePackages && $parent.quickship.$storage.simpleSteps === false"
															ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].unit"
															ng-change="updateWeight($parent.$index)"
															class="s2_copyUnit form-control tmp-required">
														<option value="lb">lb</option>
														<option value="kg">kg</option>
													</select>
                                                            <span class="msg-error"
																  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.s2_adPackageUnit_{{$parent.$index}}_{{$index}}.$error.required">required field.</span>
												</div>
												<div class="clearfix">&nbsp;</div>
											</div>
											<div class="row">
												<div class="col-sm-5">
													<input type="text" placeholder="Tracking code"
														   name="s2_adPackageTrackingCode_{{$parent.$index}}_{{$index}}"
														   class="form-control"
																name="s2_tracking_code_{{$parent.$index}}_{{$index}}"
																ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].tracking_code">
												</div>
												<div class="col-sm-5">
													<input type="text"
														   name="s2_adPackageCarrier_{{$parent.$index}}_{{$index}}"
														   data-ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].consolidated[$index].carrier"
														   class="s2_copyValue form-control tmp-required"
														   placeholder="Carrier">
                                                            <span class="msg-error"
																  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.s2_adPackageCarrier_{{$parent.$index}}_{{$index}}.$error.required">required field.</span>
												</div>
												<div class="col col-md-2">
													<button type="button" class="btn btn-danger"
															data-ng-click="deleteConsolidatedPackage($parent.$index, $index)">
														Remove
													</button>
												</div>
											</div>
											<!-- /.row -->

											<div class="clearfix">&nbsp;</div>
										</div>
										<!-- /.consolited-package-item -->

										<div class="row action text-right">
											<div class="col col-md-12">
												<a href="javascript:void(0);" class="btn btn-success"
												   data-ng-click="addConsolidatedPackage(package_index)">Add consolidated package
												</a>

												<p class="text-right"
												   data-ng-hide="$parent.quickship.$storage.quickship.consolidatePackages === true">
													if the gross dimensions exceed 24"x14"x12", you will be charged
													for
													an additional package
												</p>
											</div>
											<!-- /.col -->
										</div>
										<!-- /.row -->

									</div>
									<!-- /.consolidated-package -->

									<div class="row action"
										 ng-show="($parent.quickship.$storage.quickship.packages.length > 1) && ($parent.quickship.$storage.read_only_packages === false)">
										<div class="col col-md-12">
											<button type="button" class="btn btn-danger s3_delPkgDetail"
													ng-click="deletePackage($index)">Remove
											</button>
										</div>
									</div>
									<!-- /.row.action -->
								</div>
								<!-- /.box-item -->
							</div>
							<!-- /.s3_boxPkgDetail -->

							<div class="text-right" ng-show="$parent.quickship.$storage.read_only_packages === false">
								<div class="col col-md-12">
									<button type="button" class="btn btn-success s3_addPkgDetail"
											ng-click="addPackage()">Add another package
									</button>
								</div>
							</div>
						</div>
						
					</div>
					
				</div>
				
			</div>
			<!-- /.row -->
		</div>
		<!-- /.group -->

		<!-- Item details -->
		<div class="group">
			<div class="row">
				<h2>Item Details </h2>

				<div class="col col-md-3">
					For each package, please enter the details of each item for customs. *
				</div>
				<div class="col col-md-9">
					<div class="row s3_itemDetailWrapTabs">
						<div class="messageTabs"></div>

						<div>

							<!-- Nav tabs -->
							<ul class="nav nav-tabs" role="tablist">
								<li ng-click="setActiveTab($index)" ng-repeat="(package_index, package_detail) in $parent.quickship.$storage.quickship.packages track by $index"
									role="presentation" ng-class="{'active': activeDetailTab == package_index, 'inactive': activeDetailTab != package_index, 'tab-error': hasInvalidTabData(package_index, packagesFrm)}">
									<a href="javascript:;" aria-controls="home" role="tab" data-toggle="tab">
										{{ ($parent.quickship.$storage.nextStepClicked == true) ? 'GP '+ $parent.quickship.$storage.quickship.packages[package_index].transaction_id : 'Package' + (package_index+1)}}</a></li>
							</ul>

							<!-- Tab panes -->
							<div class="tab-content">
								<div ng-repeat="(package_index, package_detail) in $parent.quickship.$storage.quickship.packages track by $index" role="tabpanel" class="tab-pane active" ng-hide="activeDetailTab != package_index" id="item_{{package_index}}">
									<div class="s3_boxItemDetail">
										<div class="s3_itemDetail"
											 ng-repeat="(item_index, item_value) in $parent.quickship.$storage.quickship.packages[package_index].items track by $index">
											<div class="row">
												<div class="col col-md-5">
													<magic-field>
														<label ng-show="showLabel"
															   class="show-hide">Item description *</label>
														<input type="text"
															   name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_description"
															   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].description"
															   class="form-control required"
															   placeholder="Item description *"
															   required="required">
													</magic-field>
                                                <span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_description.$error.required">required field.</span>
												</div>
												<div class="col col-form-field col-md-3">
													<magic-field>
														<label ng-show="showLabel"
															   class="show-hide">Quantity *</label>
														<input type="number" 
															   name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_quantity"
															   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].quantity"
															   class="form-control required" placeholder="Quantity *"
															   value=""
															   required>
													</magic-field>
                                                <span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_quantity.$error.required">required field.</span>
												</div>
												<div class="col col-form-field col-md-2">
													<magic-field>
														<label ng-show="showLabel"
															   class="show-hide">Weight *</label>
														<input name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_weight"
															   type="number" 
															   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].weight"
															   class="form-control required" placeholder="Weight *"
															   required>
													</magic-field>
                                                <span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_weight.$error.required">required field.</span>
												</div>
												<div class="col col-form-field col-md-2">
													<magic-field>
														<label ng-show="showLabel"
															   class="show-hide">Weight Unit *</label>
														<select name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_weight_unit"
																ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].weight_unit"
																class="form-control required" required>
															<option value="lb">lb</option>
															<option value="kg">kg</option>
														</select>
													</magic-field>
                                                <span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_weight_unit.$error.required">required field.</span>
												</div>
											</div>
											<div class="row">
												<div class="col col-md-5">
													<magic-field>
														<label ng-show="showLabel"
															   class="show-hide">Type of content *</label>
														<select name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_type_id"
																class="form-control required"
																ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].type_id"
																required>
															<option value="">-- Type of content * --</option>
															<option ng-repeat="(item_type_id, item_type_name) in $parent.quickship.$storage.itemTypes"
																	ng-selected="$parent.$parent.quickship.isSelectedItem(item_type_id, $parent.$parent.quickship.$storage.quickship.packages[$parent.$parent.$parent.$index].items[$parent.$parent.$index].type_id)"
																	value="{{item_type_id}}">{{item_type_name}}
															</option>
														</select>
													</magic-field>
												<span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_type_id.$error.required">required field.</span>
												</div>
												<div class="col col-md-4">
													<magic-field>
														<label ng-show="showLabel"
															   class="show-hide">Country of origin *</label>
														<select name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_country_id"
																id="s1_personalCountry"
																class="form-control required" required
																ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].country_id">
															<option value="">-- Country of origin * --</option>
															<option value="{{country.key}}"
																	ng-selected="$parent.$parent.quickship.isSelectedItem(country.key,$parent.$parent.quickship.$storage.quickship.packages[$parent.$parent.$parent.$index].items[$parent.$parent.$index].country_id)"
																	ng-repeat="country in $parent.quickship.$storage.countries">
																{{country.label}}
															</option>
														</select>
													</magic-field>
												<span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_country_id.$error.required">required field.</span>
												</div>
												<div class="col col-form-field col-md-3">
													<magic-field>
														<label ng-show="showLabel" class="show-hide">Value *</label>
														<input type="text"
															   name="packages_{{$parent.$parent.$index}}_Item_{{$parent.$index}}_value"
															   ng-model="$parent.quickship.$storage.quickship.packages[$parent.$parent.$index].items[$parent.$index].price_value"
															   class="form-control required" placeholder="Value *" required
															   money-prefix>
													</magic-field>
												<span class="msg-error"
													  ng-show="$parent.quickship.validatesPackageDetails === false && (packagesFrm.packages_{{$parent.$index}}_Item_{{$index}}_value.$error.required || $parent.quickship.$storage.quickship.packages[$parent.$index].items[$index].price_value.length < 2)">required field.</span>
												</div>
											</div>
											<div class="row action">
												<div class="col col-md-12">
                                            <textarea
													name="packages_{{$parent.$index}}_Item_{{$index}}_info"
													class="form-control" rows="3"
													ng-model="$parent.quickship.$storage.quickship.packages[$parent.$index].items[$index].info"
													placeholder="More Info (Optional)"></textarea>
												</div>
											</div>
											<div class="row action">
												<div class="col col-md-12">
													<button type="button" class="btn btn-danger"
															ng-click="deleteItem($parent.$index, $index)"
															ng-show="$parent.quickship.$storage.quickship.packages[$parent.$index].items.length > 1">
														Remove
													</button>
												</div>
											</div>
										</div>
									</div>
									<div class="row text-right">
										<div class="col col-md-12">
											<button type="button" class="btn btn-success s3_addItemDetail"
													ng-click="addItem($index)">Add Item
											</button>
										</div>
									</div>
								</div>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>


		<div class="group">
			<div class="row text-center">
				<div class="col col-md-12">
					<button type="button" class="btn btn-default go-to-slide-2" ng-click="goBack()">Back</button>
					<button type="button" class="btn btn-success go-to-slide-5" ng-show="!$parent.quickship.$storage.nextStepClicked" ng-click="goNext(packagesFrm)">Next
					</button>
					<button type="button" class="btn btn-success go-to-slide-5" ng-model="button" ng-show="$parent.quickship.$storage.nextStepClicked" ng-disabled="!transactionSelected" ng-click="goNext(packagesFrm)">Next
					</button>
					<br><br>
				</div>
			</div>
			<!-- row 6 -->
		</div>
	</form>
</div><!-- step-3 -->